<odoo>
    <!-- Hide certain menus for specific roles -->
    <record id="stock.menu_stock_root" model="ir.ui.menu">
        <field name="groups_id" eval="[(4, ref('group_restaurant_manager')), (4, ref('group_restaurant_store_keeper'))]"/>
    </record>

    <record id="point_of_sale.menu_point_root" model="ir.ui.menu">
        <field name="groups_id" eval="[(4, ref('group_restaurant_manager')), (4, ref('group_restaurant_waiter')), (4, ref('group_restaurant_cashier'))]"/>
    </record>

    <!-- Custom Kitchen Dashboard Menu -->
    <menuitem id="menu_restaurant_kds_root"
              name="Kitchen (KDS)"
              web_icon="point_of_sale,static/description/icon.png"
              groups="group_restaurant_kitchen,group_restaurant_manager"
              sequence="20"/>

    <menuitem id="menu_restaurant_kds_orders"
              name="Preparation Orders"
              parent="menu_restaurant_kds_root"
              action="point_of_sale.action_pos_order_line_form"
              sequence="10"/>
</odoo>
